Package be.fgov.ehealth.etee.ra.revoke._1_0.protocol

# Class RevokeDataRequest

java.lang.Object
be.fgov.ehealth.etee.ra.revoke._1_0.protocol.RevokeDataRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class RevokeDataRequest extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RequestId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Contract" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="RevocableCertificatesDataSignedResponse" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevokeDataRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContract()`
  Gets the value of the contract property.
  `String`
  `getRequestId()`
  Gets the value of the requestId property.
  `byte[]`
  `getRevocableCertificatesDataSignedResponse()`
  Gets the value of the revocableCertificatesDataSignedResponse property.
  `void`
  `setContract(String value)`
  Sets the value of the contract property.
  `void`
  `setRequestId(String value)`
  Sets the value of the requestId property.
  `void`
  `setRevocableCertificatesDataSignedResponse(byte[] value)`
  Sets the value of the revocableCertificatesDataSignedResponse property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RevokeDataRequest

    public RevokeDataRequest()

- ## Method Details

  - ### getRequestId

    public String getRequestId()
    Gets the value of the requestId property.
    Returns:
      possible object is `String`

  - ### setRequestId

    public void setRequestId(String value)
    Sets the value of the requestId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContract

    public String getContract()
    Gets the value of the contract property.
    Returns:
      possible object is `String`

  - ### setContract

    public void setContract(String value)
    Sets the value of the contract property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRevocableCertificatesDataSignedResponse

    public byte[] getRevocableCertificatesDataSignedResponse()
    Gets the value of the revocableCertificatesDataSignedResponse property.
    Returns:
      possible object is byte[]

  - ### setRevocableCertificatesDataSignedResponse

    public void setRevocableCertificatesDataSignedResponse(byte[] value)
    Sets the value of the revocableCertificatesDataSignedResponse property.
    Parameters:
      `value` - allowed object is byte[]